import 'package:json_annotation/json_annotation.dart';
import 'package:librus_api/librus_api_base.dart';
import 'package:librus_api/models/resource.dart';
import 'package:librus_api/models/serializable.dart';
import 'package:reflectable/mirrors.dart';

part 'grade.g.dart';

@reflector
@JsonSerializable()
class Grade extends Resource implements Serializable {
  static String get collection => "Grades";

  static String get entry => "Grades";
  String grade;
  int id;
  dynamic lesson;
  dynamic subject;
  dynamic student;
  dynamic category;
  dynamic addedBy;
  String date;
  String addDate;
  dynamic comments;
  bool isConstituent;
  bool isSemester;
  bool isSemesterProposition;
  bool isFinal;
  bool isFinalProposition;
  int semester;
  dynamic improvement;
  dynamic resit;

  Grade() {}

  factory Grade.fromJson(Map<String, dynamic> json) => _$GradeFromJson(json);

  Map<String, dynamic> toJson() => _$GradeToJson(this);
}
